# Interface ShadeAxisFactory

public interface ShadeAxisFactory
Defines how to get a ShadeAxis for a shader range.

Since:
  25 Sep 2014

## Method Summary

Modifier and Type
Method
Description
`ShadeAxis`
`createShadeAxis(Span span)`
Returns a shade axis for a given span.
`boolean`
`isLog()`
Indicates whether the axis this factory will produce will have a logarithmic scale.

## Method Details

### isLog

boolean isLog()
Indicates whether the axis this factory will produce will have a logarithmic scale.

Returns:
  true for logarithmic, false for linear

### createShadeAxis

ShadeAxis createShadeAxis(Span span)
Returns a shade axis for a given span.

Parameters:
  `span` - data range
Returns:
  shader axis